//
//  MSGoogleChartAxis.h
//  Galileo-GM
//
//  Created by Drew Breunig on 11/3/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
  MSGoogleChartAxisTypeBottom = 0,
  MSGoogleChartAxisTypeLeft,
  MSGoogleChartAxisTypeRight,
  MSGoogleChartAxisTypeTop
} MSGoogleChartAxisType;

@interface MSGoogleChartAxis : NSObject

@property (nonatomic) MSGoogleChartAxisType axisType;
@property (strong, nonatomic) NSString *label;
@property (nonatomic) BOOL tickMarks;
@property (nonatomic) float tickMarkLength;
@property (nonatomic) BOOL invisibleAxisLines;
@property (nonatomic) NSRange *range;

@property (strong, nonatomic) UIColor *color;
@property (strong, nonatomic) UIColor *tickMarkColor;
@property (nonatomic) float fontSize;
@property (nonatomic) float alignment;

@end
